\bigsieve.xpl
\Eratosthenes Sieve Prime Number Program

code	IntOut=11, Text=12;
define	Size = 1_000_000;
integer	Prime, Count, Iter, I, K;
char	Flags(Size+1);

[Text(0, "10 iterations
");
for Iter:= 1 to 10 do				\do program 10 times
	[Count:= 0;				\prime counter
	for I:= 0 to Size do
		Flags(I):= true;		\set flags all true
	for I:= 0 to Size do
	    if Flags(I) then			\found a prime
		[Prime:= I + I + 3;		\twice the index + 3
		K:= I + Prime;			\first multiple to kill
		while K <= Size do
			[Flags(K):= false;	\zero a non-prime
			K:= K + Prime;		\next multiple
			];
		Count:= Count + 1;		\primes found
		];
	];
IntOut(0, Count);   Text(0, " primes
");						\primes found in 10th pass
]
